# Remove Room Dynamic Rates

<mark style="color:green;">`POST`</mark> `[PlatformAddress]/api/1.0/venue?action=removeRoomDynamicRates`

Remove one or more dynamic rates from venue rooms.

#### Request Body

| Name      | Type    | Description                                                              |
| --------- | ------- | ------------------------------------------------------------------------ |
| venueId   | integer | The unique id of the venue to which the rate plan belongs                |
| barId     | integer | The unique id of the rate plan to which the dynamic rate applies         |
| roomId    | integer | The unique id of the room to which the rate applies                      |
| startDate | string  | The start date from which the dynamic rate will be removed (Date Format) |
| endDate   | string  | The end date until which the dynamic rate will be removed (Date Format)  |

{% tabs %}
{% tab title="200 " %}

```
{
  "success": true
}
```

{% endtab %}
{% endtabs %}

NOTE: The dynamic data is only available to venues that integrate with a distribution channel.

### Examples

#### Remove the room dynamic rates from a single date

```javascript
{
  "venueId": 123
  "barId": 456
  "roomId": 789
  "startDate": "2018-07-27"
  "endDate": "2018-07-27"
}
```

#### Remove the room dynamic rates from multiple dates

```javascript
{
  "venueId": 123
  "barId": 456
  "roomId": 789
  "startDate": "2018-07-27"
  "endDate": "2018-08-03"
}
```

### Returns

| Property | Description                                        | Type    |
| -------- | -------------------------------------------------- | ------- |
| success  | Whether or not the room dynamic rates were removed | boolean |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.ivvy.com/venues/accommodation/remove-room-dynamic-rates.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
